> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Hy-MT2 Pro

> Hy-MT2 Pro: 専門分野や品質を重視する業務向けの、Tencentのフラッグシップ翻訳モデル。

Hy-MT2 Proは、専門分野や翻訳品質を最優先するワークロード向けの、Tencent Hyのフラッグシップ翻訳モデルです。

OpenAI互換のChat Completionsエンドポイントを使用し、MixRouteを通じて`hy-mt2-pro`を呼び出します。

## 主な機能

* 専門的な翻訳 - 専門分野の資料における品質を重視
* 8Kコンテキストウィンドウ - 最大4Kの入力トークンと4Kの出力トークンをサポート
* 指示ベース - 通常のチャットメッセージを通じて翻訳要件を受け付けます
* OpenAI互換 - MixRouteを通じてChat Completionsを使用

## 簡単な使用例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/chat/completions" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "model": "hy-mt2-pro",
        "messages": [
          {
            "role": "user",
            "content": "Translate into Japanese while preserving the formal tone: Our service will be unavailable for maintenance on Friday."
          }
        ],
        "max_tokens": 256
      }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    response = client.chat.completions.create(
        model="hy-mt2-pro",
        messages=[{"role": "user", "content": "Translate into Japanese while preserving the formal tone: Our service will be unavailable for maintenance on Friday."}],
        max_tokens=256,
    )

    print(response.choices[0].message.content)
    ```
  </Tab>
</Tabs>

## パラメータ

| パラメーター | 型 | 必須 | 説明 |
| - | - | - | - |
| `model` | string | はい | モデルID。`hy-mt2-pro`である必要があります。 |
| `messages` | array | はい | roleとcontentを含む会話メッセージ。 |
| `max_tokens` | integer | いいえ | 生成するトークンの最大数。 |
| `stream` | boolean | いいえ | SSEストリーミングを有効にします。 |

## ベンダーの参考資料

* [Tencent Cloud TokenHubのモデル一覧](https://cloud.tencent.com/document/product/1823/130051)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.